<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$term = get_queried_object();

if ( ! empty( $term ) && is_object( $term ) && isset( $term->term_id ) ) {
	$ovacrs_cat_dis = get_term_meta( $term->term_id, 'ovacrs_cat_dis', false );

	if ( in_array( 'rental', $ovacrs_cat_dis ) ) {
		wc_get_template( 'rental/archive-product.php' );
		exit();
	} else {
		wc_get_template( 'archive-product.php' );
		exit();
	}
}

$terms = '';

global $post;
if ( $post ) {
	// get categories
	if ( function_exists('get_arr_product_ids') ) {
		$post_ids 	= get_arr_product_ids( $post->ID );
		$post_id 	= apply_filters( 'wpml_object_id', $post_ids[0], 'woocommerce' );
		$terms 		= wp_get_post_terms( $post_id, 'product_cat', array( "fields" => "all" ) );
	} else {
		$terms = wp_get_post_terms( $post->ID, 'product_cat', array( "fields" => "all" ) );
	}
}

if ( $terms ) {
	foreach ( $terms as $key => $value ) {
		$ovacrs_cat_dis = get_term_meta( $value->term_id, 'ovacrs_cat_dis', false );

		if ( in_array( 'rental', $ovacrs_cat_dis ) ) {
			wc_get_template( 'rental/archive-product.php' );
			exit();
		} else {
			wc_get_template( 'archive-product.php' );
			exit();
		}
	}
} else {
	wc_get_template( 'rental/archive-product.php' );
}